#ifndef AIM__AIM_H
#define AIM__AIM_H

struct image {
	int cols, rows;
	/* Black-white image, one _BIT_ per pixel. Rows-oriented,
	 * rows are rounded to whole bytes. */
	unsigned char *bitmap;
};

static int image_rowbytes(struct image *img);
static int image_pixel(struct image *img, int x, int y);

void exercise(struct image *img);


/** Implementation: */

static inline int
image_rowbytes(struct image *img)
{
	return (img->cols + 7) / 8;
}

static inline int
image_pixel(struct image *img, int x, int y)
{
	return (img->bitmap[image_rowbytes(img) * y + x / 8] >> (7 - x % 8)) & 1;
}

#endif
